Package org.bukkit.event.player

# Class PlayerBucketEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerBucketEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PlayerBucketEmptyEvent`, `PlayerBucketFillEvent`

public abstract class PlayerBucketEvent extends PlayerEvent implements Cancellable
Called when a player interacts with a Bucket

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerBucketEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
`PlayerBucketEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
Deprecated.
`PlayerBucketEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
`PlayerBucketEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`final @NotNull Block`
`getBlock()`
Gets the block involved in this event.
`@NotNull Block`
`getBlockClicked()`
Return the block clicked
`@NotNull BlockFace`
`getBlockFace()`
Get the face on the clicked block
`@NotNull Material`
`getBucket()`
Returns the bucket used in this event
`@NotNull EquipmentSlot`
`getHand()`
The hand used to perform this action.
`@Nullable ItemStack`
`getItemStack()`
Get the resulting item in hand after the bucket event
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setItemStack(@Nullable ItemStack itemStack)`
Set the item in hand after the event

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerBucketEvent

@Deprecated public PlayerBucketEvent(@NotNull @NotNull Player who, @NotNull @NotNull Block blockClicked, @NotNull @NotNull BlockFace blockFace, @NotNull @NotNull Material bucket, @NotNull @NotNull ItemStack itemInHand)
Deprecated.

### PlayerBucketEvent

public PlayerBucketEvent(@NotNull @NotNull Player who, @NotNull @NotNull Block block, @NotNull @NotNull Block blockClicked, @NotNull @NotNull BlockFace blockFace, @NotNull @NotNull Material bucket, @NotNull @NotNull ItemStack itemInHand)

### PlayerBucketEvent

@Deprecated public PlayerBucketEvent(@NotNull @NotNull Player who, @NotNull @NotNull Block blockClicked, @NotNull @NotNull BlockFace blockFace, @NotNull @NotNull Material bucket, @NotNull @NotNull ItemStack itemInHand, @Nullable @Nullable EquipmentSlot hand)
Deprecated.

### PlayerBucketEvent

public PlayerBucketEvent(@NotNull @NotNull Player who, @NotNull @NotNull Block block, @NotNull @NotNull Block blockClicked, @NotNull @NotNull BlockFace blockFace, @NotNull @NotNull Material bucket, @NotNull @NotNull ItemStack itemInHand, @Nullable @Nullable EquipmentSlot hand)

## Method Details

### getBucket

@NotNull public @NotNull Material getBucket()
Returns the bucket used in this event

Returns:
  the used bucket

### getItemStack

@Nullable public @Nullable ItemStack getItemStack()
Get the resulting item in hand after the bucket event

Returns:
  ItemStack hold in hand after the event.

### setItemStack

public void setItemStack(@Nullable @Nullable ItemStack itemStack)
Set the item in hand after the event

Parameters:
  `itemStack` - the new held ItemStack after the bucket event.

### getBlock

@NotNull public final @NotNull Block getBlock()
Gets the block involved in this event.

Returns:
  The Block which block is involved in this event

### getBlockClicked

@NotNull public @NotNull Block getBlockClicked()
Return the block clicked

Returns:
  the clicked block

### getBlockFace

@NotNull public @NotNull BlockFace getBlockFace()
Get the face on the clicked block

Returns:
  the clicked face

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
The hand used to perform this action.

Returns:
  the hand used

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event